Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020348
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-04-25 13:502012-05-10 16:36
ReporterpsarobeView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchFixed in SCM revision52d3acc5d1d4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020348: Dates fields in grid are not working well when saving the date

DescriptionWhen you save a date in grid using the shortcuts (ctrl+S) although you see the new value in the UI, the database still has the old value
Steps To Reproduce1. Go to sales invoice and select a header in status Draft
2. Edit the record in grid view.
3. Edit the invoice date typing the new date. Don't use the calendar
4. Use the shortcut CTRL+S to save the record
5. You see the new date
6. Press refresh button. You still see the new date
7. Close the window. Open the window
8. Now the invoice date is not the new value but the old one. THIS IS WRONG

expected behaviour: You should see the new value
TagsRegression QA
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0020375 closedAugustoMauch Saving from keyboard shortcut does not trigger date autocompletion 

-  Notes
(0047966)
hgbot (developer)
2012-04-25 16:57

Repository: erp/devel/pi
Changeset: 52d3acc5d1d4860e00c2fb31b936eab14a882ec5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Apr 25 16:55:56 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/52d3acc5d1d4860e00c2fb31b936eab14a882ec5 [^]

Fixes issue 20348: Date properly saved when using shortcut in grid

When the row was saved using the shortcut, the new values were being obtained before the date was updated. This has been changed so that the date will be updated before the new values to be saved are obtaine
d.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-date.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0047999)
alostale (developer)
2012-04-26 11:02

Code reviewed and verified on pi@d02dd5df46fe

Executed test cases:
*All in form and grid view
  -Modify date, without moving to another field crtl+S
  -Modify date, without moving to another field click save button
  -Modify date, without moving to another field go to another tab (autosave)
(0048098)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-04-25 13:50 psarobe New Issue
2012-04-25 13:50 psarobe Assigned To => alostale
2012-04-25 13:50 psarobe Modules => Core
2012-04-25 14:35 AugustoMauch Assigned To alostale => AugustoMauch
2012-04-25 16:57 hgbot Checkin
2012-04-25 16:57 hgbot Note Added: 0047966
2012-04-25 16:57 hgbot Status new => resolved
2012-04-25 16:57 hgbot Resolution open => fixed
2012-04-25 16:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/52d3acc5d1d4860e00c2fb31b936eab14a882ec5 [^]
2012-04-26 11:02 alostale Note Added: 0047999
2012-04-26 11:02 alostale Status resolved => closed
2012-04-26 11:02 alostale Fixed in Version => 3.0MP11
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048098
2012-05-03 09:40 AugustoMauch Relationship added has duplicate 0020375
2012-05-10 16:36 plujan Tag Attached: Regression QA


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker